Skip to Content

Waiting has come to an end – ADT runs on Eclipse Kepler now.

Since yesterday there is a new version of the ABAP development tools for Eclipse available for download on the SAP Service Marketplace (http://service.sap.com/swdc). You can also install the development tools via the SAP Tools Updatesite: https://tools.hana.ondemand.com/#abap .The new version ADT 2.16 runs now also on Eclipse Kepler (Eclipse version 4.3) which is the latest version of the eclipse tools platform. You can download Kepler via the eclipse download page: http://www.eclipse.org/downloads/

According to our compatibility rules the new ADT version 2.16 still runs on the Eclipse Juno (4.2) release and is therefore also the successor of ADT 2.13 in general. As all ADT versions this new client also supports the ABAP backends AS ABAP 7.31 SP4 (and higher) and AS ABAP 7.4. Therefore the clear recommendation is to use this version 2.16 from now on.   

Just go to the SAP Software Download Center and ‘Search for Software Downloads‘ using the keywords ‘ABAP Eclipse‘ and install the 2.16 version. A detailed installation guide is also available as attachment of note 1916008: https://service.sap.com/sap/support/notes/1916008

Besides a bunch of software fixes this new ADT version also contains some enhancements in the area of messageclass editor and Web Dynpro. See the following blog posts for more detail:

News from the Messageclass Editor: http://scn.sap.com/docs/DOC-44061 

News from WD ABAP Tools: http://scn.sap.com/docs/DOC-47072

The next major feature release of ADT comes with the next support package of AS ABAP 7.4 and 7.31. 

Kind Regards,

Thomas.

To report this post you need to login first.

5 Comments

You must be Logged on to comment or reply to a post.

Leave a Reply